> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domsoftware.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Registrar

> Cadastra um novo usuário no sistema.

### Body

<ParamField body="name" type="string" required>
  Nome completo do usuário.
</ParamField>

<ParamField body="email" type="string" required>
  Email válido do usuário.
</ParamField>

<ParamField body="password" type="string" required>
  Senha da conta (minímo 6 caracteres).
</ParamField>

### Response

<ResponseExample>
  ```json Response theme={null}
  {
    "id": "7138b7d4-e653-4811-9a40-349f7ba342d4",
    "email": "usuario@exemplo.com.br",
    "name": "Nome do Usuário",
    "createdAt": "2024-01-01T12:00:00.000Z",
    "updatedAt": "2024-01-01T12:00:00.000Z"
  }
  ```
</ResponseExample>


## OpenAPI

````yaml post /auth/register
openapi: 3.0.0
info:
  title: Hub Marketplace API
  description: API for managing marketplace listings and keys
  version: '1.0'
  contact: {}
servers: []
security: []
tags:
  - name: listings
    description: ''
paths:
  /auth/register:
    post:
      tags:
        - Auth
      operationId: AuthController_register
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RegisterDto'
      responses:
        '201':
          description: ''
components:
  schemas:
    RegisterDto:
      type: object
      properties: {}

````